Page MenuHomePhabricator

metrics.wmflabs.org pageviews csv now redirecting to eventmetrics forbidden
Closed, ResolvedPublic

Description

Hey all,

Until about a week ago, https://metrics.wmflabs.org/static/public/datafiles/Pageviews/{lang}{project}.csv used to be an open URL that gave a full list of pageviews for a particular language and project.

It seems to have turned into a redirect to the eventmetrics.wmflabs.org tool (which looks cool). Unfortunately eventmetrics seems to be requiring OAuth-based login for all pages (maning we get a 403), and upon login, eventmetrics does not appear to be offering that data.

Is there a migration path for csv pageview data? (this is affecting https://top.hatnote.com)

Event Timeline

mahmoud created this task.Mar 30 2019, 10:36 PM
Restricted Application added projects: Analytics, Community-Tech. · View Herald TranscriptMar 30 2019, 10:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Hi @mahmoud, we'd like to help you find a solution here. But we were surprised you're still using the wikimetrics link. Can you transition to using the pageview API that @MusikAnimal mentioned? Here's an example:

https://wikimedia.org/api/rest_v1/metrics/pageviews/top/en.wikipedia/all-access/2015/10/10

Unless you were getting something else out of those csv files? Can you specify?

Milimetric triaged this task as High priority.Apr 1 2019, 3:37 PM
Milimetric moved this task from Incoming to Ops Week on the Analytics board.
jmatazzoni added a subscriber: jmatazzoni.

This is not really something that the Event Metrics team can take on. I'm removing that tag..

I've got a version of the code going off of the rest_api now. The code's not running exactly the same, but that could be on me.

As for the why, I'm not the original implementer of this part, but I'm assuming we adopted the new pageviews API before total views per project was available, and that's why we fell back to CSV.

Anyways, I'll be closing this now, thanks for everyone's help!

mahmoud closed this task as Resolved.Apr 2 2019, 6:11 PM